<?php
/**
 *
 * @category        modules
 * @package         news
 * @author          WebsiteBaker Project
 * @copyright       WebsiteBaker Org. e.V.
 * @link            https://websitebaker.org/
 * @license         https://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.12.1
 * @requirements    PHP 5.6 and higher
 * @version         $Id: modify_group.php 292 2019-03-26 20:09:43Z Luisehahne $
 * @filesource      $HeadURL: svn://isteam.dynxs.de/wb/2.12.x/branches/main/modules/news/modify_group.php $
 * @lastmodified    $Date: 2019-03-26 21:09:43 +0100 (Di, 26. Mrz 2019) $
 *
 */

if (!\defined('SYSTEM_RUN')) {require(\dirname(\dirname((__DIR__))).'/config.php');}

    $sAppUrl = WB_URL;
    $sAddonName = \basename(__DIR__);
    $sAddonRel = '/modules/'.$sAddonName.'/';
    $sAddonUrl = $sAddonUrl = WB_URL.$sAddonRel;
    $sAddonThemeUrl = $sAddonUrl.'themes/default/';
    $sAbsAddonPath = WB_PATH.$sAddonRel;

    if (\is_readable($sAbsAddonPath.'languages/EN.php')) {require($sAbsAddonPath.'/languages/EN.php');}
    if (\is_readable($sAbsAddonPath.'languages/'.DEFAULT_LANGUAGE.'.php')) {require($sAbsAddonPath.'/languages/'.DEFAULT_LANGUAGE.'.php');}
    if (\is_readable($sAbsAddonPath.'languages/'.LANGUAGE.'.php')) {require($sAbsAddonPath.'/languages/'.LANGUAGE.'.php');}

// suppress to print the header, so no new FTAN will be set
//$admin_header = false;
// Tells script to update when this page was last updated
    $update_when_modified = false;
// show the info banner
    $print_info_banner = true;
// Include WB admin wrapper script
    require(WB_PATH.'/modules/admin.php');

    $sSectionIdPrefix = (defined( 'SEC_ANCHOR' ) && ( SEC_ANCHOR != 'none' )  ? '#'.SEC_ANCHOR.$section_id : '' );

    $group_id = intval($admin->checkIDKEY('group_id', false, 'GET'));
    if (!$group_id) {
       $admin->print_error($MESSAGE['GENERIC_SECURITY_ACCESS'], ADMIN_URL.'/pages/modify.php?page_id='.$page_id);
    }

// Get header and footer
    $sql  = 'SELECT * FROM '.TABLE_PREFIX.'mod_news_groups '
          . 'WHERE group_id = '.$group_id;
    $query_content = $database->query( $sql );

    $fetch_content = $query_content->fetchRow( MYSQLI_ASSOC );

?>

<h2><?php echo $TEXT['ADD'].'/'.$TEXT['MODIFY'].' '.$TEXT['GROUP']; ?></h2>

<form name="modify" action="<?php echo WB_URL; ?>/modules/<?php echo $sAddonName;?>/save_group.php" method="post" enctype="multipart/form-data" style="margin: 0;">
<?php echo $admin->getFTAN(); ?>
<input type="hidden" name="section_id" value="<?php echo $section_id; ?>" />
<input type="hidden" name="page_id" value="<?php echo $page_id; ?>" />
<input type="hidden" name="group_id" value="<?php echo $group_id; ?>" />
<table class="w3-table news">
<tr>
   <td class="setting_name"><?php echo $TEXT['TITLE']; ?>:</td>
   <td class="w3-input">
      <input type="text" name="title" value="<?php echo (htmlspecialchars($fetch_content['title'])); ?>" style="width: 98%;" maxlength="255" />
   </td>
</tr>
<tr>
   <td class="setting_name"><?php echo $TEXT['IMAGE']; ?>:</td>
   <?php if (\file_exists(WB_PATH.MEDIA_DIRECTORY.'/.news/image'.$group_id.'.jpg')) { ?>
   <td class="w3-input">
      <a class="fancybox-gallery fancybox" href="<?php echo WB_URL.MEDIA_DIRECTORY; ?>/.news/image<?php echo $group_id; ?>.jpg" >
      <img src="<?php echo WB_URL.MEDIA_DIRECTORY.'/.news/image'.$group_id.'.jpg';?>" alt="" style="width:100%;max-width:24px"/>
      </a>
      &nbsp;
      <input class="w3-check" type="checkbox" name="delete_image" id="delete_image" value="true" />
      <label for="delete_image">Delete</label>
   </td>
   <?php } else { ?>
   <td class="setting_name">
      <input class=" w3-border-0 w3-input" type="file" name="image" />
   </td>
   <?php } ?>
</tr>
<tr>
   <td class="setting_name"><?php echo $TEXT['ACTIVE']; ?>:</td>
   <td class="w3-input">
      <input class="w3-radio w3-border" type="radio" name="active" id="active_true" value="1" <?php if($fetch_content['active'] == 1) { echo ' checked="checked"'; } ?> />
      <a class="cursor-pointer" onclick="javascript: document.getElementById('active_true').checked = true;">
      <?php echo $TEXT['YES']; ?>
      </a>
      -
      <input class="w3-radio" type="radio" name="active" id="active_false" value="0" <?php if($fetch_content['active'] == 0) { echo ' checked="checked"'; } ?> />
      <a class="cursor-pointer" onclick="document.getElementById('active_false').checked = true;">
      <?php echo $TEXT['NO']; ?>
      </a>
   </td>
</tr>
</table>

<table class="frm-table" style="margin: 15px;">
    <tbody>
        <tr>
            <td>
                <input class="btn btn-default w3-blue-wb w3-round w3-hover-green w3-medium w3-padding-4" name="save" type="submit" value="<?php echo $TEXT['SAVE']; ?>" />
                <input class="btn btn-default w3-blue-wb w3-round w3-hover-green w3-medium w3-padding-4" name="save_close" type="submit" value="<?php echo $TEXT['SAVE'].' & '.$TEXT['CLOSE']; ?>" />
                <input class="btn btn-default w3-blue-wb w3-round w3-hover-green w3-medium w3-padding-4" type="button" value="<?php echo $TEXT['CLOSE']; ?>" onclick="window.location = '<?php echo ADMIN_URL; ?>/pages/modify.php?page_id=<?php echo $page_id.$sSectionIdPrefix; ?>';" />
            </td>
            <td>&nbsp;</td>
        </tr>
    </tbody>
</table>
</form>
<script>
    var News = {
        WB_URL : '<?php echo $sAppUrl;?>',
        AddonUrl : '<?php echo $sAddonUrl;?>',
        THEME_URL : '<?php echo THEME_URL;?>',
        ThemeUrl:  '<?php echo $sAddonThemeUrl;?>',
        PluginUrl:'<?php echo $sAppUrl;?>/include/plugins/',
        FancyboxUrl:'<?php echo $sAppUrl;?>/include/plugins/default/fancybox/1.3.4/'
    };

    var JqFancyBoxCss = News.FancyboxUrl+"jquery.fancybox-1.3.4.css";
    if (typeof LoadOnFly==='undefined'){
        $.insert(JqFancyBoxCss);
    } else {
        LoadOnFly('head', JqFancyBoxCss);
    }
</script>

<script src="<?php echo $sAppUrl;?>/include/plugins/default/jqfancybox/jquery.mousewheel-3.0.4.pack.js"></script>
<script src="<?php echo $sAppUrl;?>/include/plugins/default/fancybox/1.3.4/jquery.fancybox-1.3.4.js"></script>

<script>
$(document).ready(function() {
/* */
    if (typeof News ==="object"){
//console.log(News.FancyboxUrl+"jquery.fancybox-1.3.4.css");

//        $.insert(News.FancyboxUrl+"jquery.fancybox-1.3.4.css");
//        $.insert(News.FancyboxUrl+"jquery.fancybox-1.3.4.js");

        $("a.fancybox-gallery,.fancybox, .inline").fancybox({
//            prevEffect     : 'none',
//            nextEffect     : 'none',
            closeBtn       : true,
            helpers        : {
                           title   : { type : 'inside' },
                           overlay : { css  : { 'background-color' : '#E4E4E4' } },
                           buttons : {}
            }
        });
    };
});
</script>
<?php if ($print_info_banner){ ?>
  </div>
<?php }
// Print admin footer
$admin->print_footer();
