<?php
/*
 * Copyright (C) 2017 Manuela v.d.Decken <manuela@isteam.de>
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT OR THIS HEADER
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License 2 for more details.
 *
 * You should have received a copy of the GNU General Public License 2
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Description of modules/news/modify_post.php
 *
 * @package      Core
 * @copyright    Manuela v.d.Decken <manuela@isteam.de>
 * @author       Manuela v.d.Decken <manuela@isteam.de>
 * @license      GNU General Public License 2.0
 * @version      2.0.1
 * @revision     $Id: modify_post.php 120 2018-09-28 18:47:10Z Luisehahne $
 * @since        File available since 04.10.2017
 * @deprecated   no
 * @description  xxx
 */
//declare(strict_types = 1);
//declare(encoding = 'UTF-8');

//namespace ;

// use

if (!\defined('SYSTEM_RUN')) {require(\dirname(\dirname((__DIR__))).'/config.php');}

$sAddonName = \basename(__DIR__);
$sAddonRel  = '/modules/'.$sAddonName;
$sAddonUrl  = WB_URL.$sAddonRel;
$sAddonPath = WB_PATH.$sAddonRel;

// $admin_header = true;
// Tells script to update when this page was last updated
$update_when_modified = false;
// show the info banner
$print_info_banner = true;
// Include WB admin wrapper script
require(WB_PATH.'/modules/admin.php');

$oTrans = \Translate::getInstance();
$oTrans->enableAddon('modules\\'.$sAddonName);

$requestMethod = \strtoupper($_SERVER['REQUEST_METHOD']);
$aRequestVars  = (isset(${'_'.$requestMethod}) ? ${'_'.$requestMethod} : $_REQUEST);

$sAddonName = \basename(__DIR__);

$sSectionIdPrefix = (\defined( 'SEC_ANCHOR' ) && ( SEC_ANCHOR != 'none' )  ? '#'.SEC_ANCHOR.$section_id : '' );
$sBacklink = ADMIN_URL.'/pages/modify.php?page_id='.$page_id;
/* */
$post_id = intval($admin->checkIDKEY('post_id', false, $requestMethod));
if (!$post_id) {
   $admin->print_error(sprintf('[%d] %s',__LINE__,$MESSAGE['GENERIC_SECURITY_ACCESS']), $sBacklink.$sSectionIdPrefix);
}

// Get header and footer
$sql  = 'SELECT * FROM `'.TABLE_PREFIX.'mod_news_posts` '
      . 'WHERE `post_id` = '.$post_id.' '
      . 'ORDER BY `position` ASC';
$query_content = $database->query($sql);
$fetch_content = $query_content->fetchRow(MYSQLI_ASSOC);

if (!defined('WYSIWYG_EDITOR') OR WYSIWYG_EDITOR=="none" OR !file_exists(WB_PATH.'/modules/'.WYSIWYG_EDITOR.'/include.php')) {
   function show_wysiwyg_editor($name,$id,$content,$width,$height) {
      echo '<textarea name="'.$name.'" id="'.$id.'" rows="10" cols="1" style="width: '.$width.'; height: '.$height.';">'.$content.'</textarea>';
   }
} else {
   $id_list=array("short","long");
   require(WB_PATH.'/modules/'.WYSIWYG_EDITOR.'/include.php');
}

// include jscalendar-setup
$jscal_use_time = true; // whether to use a clock, too
require_once(WB_PATH."/include/jscalendar/wb-setup.php");
?>
<h2><?php echo $TEXT['ADD'].'/'.$TEXT['MODIFY'].' '.$TEXT['POST']; ?></h2>
    <div class="jsadmin jcalendar hide"></div>
    <div id="AddonFolder" class="w3-hide"><?php echo basename(__DIR__);?></div>
    <script >
        if (typeof Addon!=="object") {
          var Addon = {
                AddonName: "<?php echo $sAddonName; ?>",
                page_id:<?php echo $page_id; ?>,
                section_id:<?php echo $section_id; ?>,
          }
        };
    </script>
<div class="w3-row">
<form name="modify" action="<?php echo WB_URL; ?>/modules/<?php echo $sAddonName;?>/save_post.php" method="post">
    <?php echo $admin->getFTAN(); ?>
    <input type="hidden" name="section_id" value="<?php echo $section_id; ?>" />
    <input type="hidden" name="page_id" value="<?php echo $page_id; ?>" />
    <input type="hidden" name="post_id" value="<?php echo $post_id; ?>" />

    <table class="news w3-table">
        <tbody>
            <tr>
               <td class="setting_name"><?php echo $TEXT['TITLE']; ?>:</td>
               <td>
                  <input class="w3-input w3-border w3-padding-4" type="text" name="title" value="<?php echo (htmlspecialchars($fetch_content['title'])); ?>" style="width: 94.8%;" />
               </td>
            </tr>
            <tr>
               <td class="setting_name"><?php echo $TEXT['GROUP']; ?>:</td>
               <td>
                  <select class="w3-select w3-border" name="group" style="width: 94.8%;">
                     <option value="0"><?php echo $TEXT['NONE']; ?></option>
                     <?php
                     $sql = 'SELECT `group_id`, `title` FROM `'.TABLE_PREFIX.'mod_news_groups` '
                     .'WHERE `section_id` = '.$section_id.' '
                     .'ORDER BY `position` ASC';
                     $query = $database->query($sql);
                     if($query->numRows() > 0) {
                        // Loop through groups
                        while($group = $query->fetchRow(MYSQLI_ASSOC)) {
                           ?>
                           <option value="<?php echo $group['group_id']; ?>"<?php if($fetch_content['group_id'] == $group['group_id']) { echo ' selected="selected"'; } ?>><?php echo $group['title']; ?></option>
                           <?php
                        }
                     }
                     ?>
                  </select>
               </td>
            </tr>
            <tr>
               <td class="setting_name"><?php echo $TEXT['COMMENTING']; ?>:</td>
               <td>
                  <select class="w3-select w3-border" name="commenting" style="width: 94.8%;">
                     <option value="none"><?php echo $TEXT['DISABLED']; ?></option>
                     <option value="public" <?php if($fetch_content['commenting'] == 'public') { echo ' selected="selected"'; } ?>><?php echo $TEXT['PUBLIC']; ?></option>
                     <option value="private" <?php if($fetch_content['commenting'] == 'private') { echo ' selected="selected"'; } ?>><?php echo $TEXT['PRIVATE']; ?></option>
                  </select>
               </td>
            </tr>
            <tr>
               <td class="setting_name"><?php echo $oTrans->MOD_NEWS_MODERATED_COMMENT; ?>:</td>
               <td>
                  <input class="w3-radio" type="radio" name="moderated" id="moderated_true" value="1" <?php if($fetch_content['moderated'] == 1) { echo ' checked="checked"'; } ?> />
                  <a onclick="document.getElementById('moderated_true').checked = true;">
                  <?php echo $TEXT['YES']; ?>
                  </a>
                  &nbsp;
                  <input class="w3-radio" type="radio" name="moderated" id="moderated_false" value="0" <?php if($fetch_content['moderated'] == 0) { echo ' checked="checked"'; } ?> />
                  <a onclick="document.getElementById('moderated_false').checked = true;">
                  <?php echo $TEXT['NO']; ?>
                  </a>
               </td>
            </tr>
            <tr>
               <td class="setting_name"><?php echo $TEXT['ACTIVE']; ?>:</td>
               <td>
                  <input class="w3-radio" type="radio" name="active" id="active_true" value="1" <?php if($fetch_content['active'] == 1) { echo ' checked="checked"'; } ?> />
                  <a onclick="document.getElementById('active_true').checked = true;">
                  <?php echo $TEXT['YES']; ?>
                  </a>
                  &nbsp;
                  <input class="w3-radio" type="radio" name="active" id="active_false" value="0" <?php if($fetch_content['active'] == 0) { echo ' checked="checked"'; } ?> />
                  <a onclick="document.getElementById('active_false').checked = true;">
                  <?php echo $TEXT['NO']; ?>
                  </a>
               </td>
            </tr>
            <tr>
               <td class="setting_name"><?php echo $TEXT['PUBL_START_DATE']; ?>:</td>
               <td>
               <ul class="horizontal">
<?php
            if ($fetch_content['published_when']==0) {
                $iPublishedWhen = date($jscal_format, strtotime((date('Y-m-d H:i')))+TIMEZONE);
            } else {
                $iPublishedWhen = date($jscal_format, $fetch_content['published_when']+TIMEZONE);
            }
?>
               <li><input class="w3-input w3-border" type="text" id="publishdate" name="publishdate" value="<?php echo $iPublishedWhen;?>" style="width: 130px;" /></li>
               <li><img src="<?php echo THEME_URL ?>/images/clock_16.png" id="publishdate_trigger" style="cursor: pointer;" title="<?php echo $TEXT['CALENDAR']; ?>" alt="<?php echo $TEXT['CALENDAR']; ?>" onmouseover="this.style.background='lightgrey';" onmouseout="this.style.background=''" /></li>
               <li><img src="<?php echo THEME_URL ?>/images/clock_del_16.png" style="cursor: pointer;" title="<?php echo $TEXT['DELETE_DATE']; ?>" alt="<?php echo $TEXT['DELETE_DATE']; ?>" onmouseover="this.style.background='lightgrey';" onmouseout="this.style.background=''" onclick="document.modify.publishdate.value=''" /></li>
               </ul>
               </td>
            </tr>
            <tr>
               <td class="setting_name"><?php echo $TEXT['PUBL_END_DATE']; ?>:</td>
               <td>
               <ul class="horizontal">
<?php
            if ($fetch_content['published_until']==0) {
                $iPublishedUntil = '';
            } else {
                $iPublishedUntil = date($jscal_format, $fetch_content['published_until']+TIMEZONE);
            }
?>
               <li><input class="w3-input w3-border" type="text" id="enddate" name="enddate" value="<?php echo $iPublishedUntil;?>" style="width: 130px;" /></li>
               <li><img src="<?php echo THEME_URL ?>/images/clock_16.png" id="enddate_trigger" style="cursor: pointer;" title="<?php echo $TEXT['CALENDAR']; ?>" alt="<?php echo $TEXT['CALENDAR']; ?>" onmouseover="this.style.background='lightgrey';" onmouseout="this.style.background=''" /></li>
               <li><img src="<?php echo THEME_URL ?>/images/clock_del_16.png" style="cursor: pointer;" title="<?php echo $TEXT['DELETE_DATE']; ?>" alt="<?php echo $TEXT['DELETE_DATE']; ?>" onmouseover="this.style.background='lightgrey';" onmouseout="this.style.background=''" onclick="document.modify.enddate.value=''" /></li>
               </ul>
               </td>
            </tr>
        </tbody>
    </table>

<table class="news w3-table">
    <tbody>
        <tr>
           <td  class="setting_name"><?php echo $TEXT['SHORT']; ?>:</td>
           <td class="setting_value">
        <?php
              $contentShort = $fetch_content['content_short'];
              $contentLong  = $fetch_content['content_long'];
              $sFilterApi   = WB_PATH.'/modules/output_filter/OutputFilterApi.php';
              if (is_readable($sFilterApi) && !function_exists('getOutputFilterSettings')){require($sFilterApi);}
              if (function_exists('OutputFilterApi')){
                  $contentShort = OutputFilterApi('ReplaceSysvar', $contentShort);
                  $contentLong  = OutputFilterApi('ReplaceSysvar', $contentLong);
              }
              show_wysiwyg_editor("short","short",htmlspecialchars($contentShort),"100%","240px",'WB_Basic');
           ?>
           </td>
        </tr>
        <tr>
           <td class="setting_name"><?php echo $TEXT['LONG']; ?>:</td>
           <td class="setting_value">
        <?php
              show_wysiwyg_editor("long","long",htmlspecialchars($contentLong),"100%","350px",'WB_Basic');
        ?>
           </td>
        </tr>
    </tbody>
</table>

<div class="w3-row w3-section">
  <div class="w3-col m4 l3">&nbsp;</div>
  <div class="w3-col m8 l9">
    <div class="w3-container w3-cell w3-mobile">
         <input class="btn btn-default w3-blue-wb w3-round w3-hover-green w3-medium w3-padding-4" name="save" type="submit" value="<?php echo $TEXT['SAVE']; ?>" >
    </div>
    <div class="w3-container w3-cell w3-mobile">
        <input class="btn btn-default w3-blue-wb w3-round w3-hover-green w3-medium w3-padding-4" name="save_pagetree" type="submit" value="<?php echo $TEXT['SAVE'].' & '.$TEXT['CLOSE']; ?>">
    </div>
    <div class="w3-container w3-cell w3-mobile">
        <input id="cancel" class="btn btn-default w3-blue-wb w3-round w3-hover-red w3-medium w3-padding-4" type="button" value="<?php echo $TEXT['CLOSE']; ?>" onclick="window.location='<?php echo ADMIN_URL; ?>/pages/modify.php?page_id=<?php echo $page_id.'#'.$sSectionIdPrefix.$section_id; ?>';" />
    </div>
  </div>
</div>

</form>
</div>

<script>
   Calendar.setup(
      {
         inputField  : "publishdate",
         ifFormat    : "<?php echo $jscal_ifformat ?>",
         button      : "publishdate_trigger",
         firstDay    : <?php echo $jscal_firstday ?>,
         <?php if(isset($jscal_use_time) && $jscal_use_time==TRUE)
            { ?>
            showsTime   : "true",
            timeFormat  : "24",
         <?php
            } ?>
         date        : "<?php echo $jscal_today ?>",
         range       : [1970, 2037],
         step        : 1
      }
   );
   Calendar.setup(
      {
         inputField  : "enddate",
         ifFormat    : "<?php echo $jscal_ifformat ?>",
         button      : "enddate_trigger",
         firstDay    : <?php echo $jscal_firstday ?>,
         <?php if(isset($jscal_use_time) && $jscal_use_time==TRUE)
            { ?>
            showsTime   : "true",
            timeFormat  : "24",
         <?php
            } ?>
         date        : "<?php echo $jscal_today ?>",
         range       : [1970, 2037],
         step        : 1
      }
   );
</script>

<br />

<h2><?php echo $TEXT['MODIFY'].'/'.$TEXT['DELETE'].' '.$TEXT['COMMENT']; ?></h2>

<?php

// Loop through existing posts
$query_comments = $database->query("SELECT * FROM `".TABLE_PREFIX."mod_news_comments` WHERE section_id = '$section_id' AND post_id = '$post_id' ORDER BY commented_when DESC");
if($query_comments->numRows() > 0) {
    $pid = $admin->getIDKEY($post_id);
?>
    <table class="news w3-table-all">
        <tbody>
<?php
    while($comment = $query_comments->fetchRow(MYSQLI_ASSOC)) {
      $cid = $admin->getIDKEY($comment['comment_id']);
      $iStatus = (int)$comment['active'];
?>
          <tr>
             <td  style="width:20px;padding-left: 5px;">
                <a href="<?php echo WB_URL; ?>/modules/<?php echo $sAddonName;?>/modify_comment.php?page_id=<?php echo $page_id; ?>&amp;section_id=<?php
                   echo $section_id; ?>&amp;comment_id=<?php echo $cid; ?>" title="<?php echo $TEXT['MODIFY']; ?>">
                   <img src="<?php echo THEME_URL; ?>/images/modify_16.png" alt="^" />
                </a>
             </td>
             <td>
                <a href="<?php echo WB_URL; ?>/modules/<?php echo $sAddonName;?>/modify_comment.php?page_id=<?php echo $page_id; ?>&amp;section_id=<?php
                   echo $section_id; ?>&amp;comment_id=<?php echo $cid; ?>">
                   <?php echo $comment['title']; ?>
                </a>
             </td>
             <td style="width:20px;padding-left: 5px;">
                   <img src="<?php echo THEME_URL; ?>/images/status_<?php echo $iStatus;?>.png" alt="^" />
             </td>
             <td style="width:1.825em;">
                <a class="cursor-pointer" onclick="confirm_link('<?php echo $TEXT['ARE_YOU_SURE']; ?>', '<?php
                   echo WB_URL; ?>/modules/<?php echo $sAddonName;?>/delete_comment.php?page_id=<?php echo $page_id; ?>&amp;section_id=<?php
                   echo $section_id; ?>&amp;post_id=<?php echo $pid; ?>&amp;comment_id=<?php echo $cid; ?>');" title="<?php
                   echo $TEXT['DELETE']; ?>">
                   <img src="<?php echo THEME_URL; ?>/images/delete_16.png" alt="X" />
                </a>
             </td>
          </tr>
<?php     } ?>
<?php } else { ?>
   <table>
        <tbody>
          <tr class="w3-section">
            <td class="w3-text-blue-wb w3-large w3-margin"><?php echo $TEXT['NONE_FOUND'] ?></td>
          </tr>
<?php } ?>
        </tbody>
   </table>
   <?php
// Print admin footer
$admin->print_footer();
