<?php
/**
 *
 * @category        modules
 * @package         news
 * @author          WebsiteBaker Project
 * @copyright       WebsiteBaker Org. e.V.
 * @link            https://websitebaker.org/
 * @license         https://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.12.1
 * @requirements    PHP 5.6 and higher
 * @version         $Id: modify_settings.php 365 2019-05-31 16:31:04Z Luisehahne $
 * @filesource      $HeadURL: svn://isteam.dynxs.de/wb/2.12.x/branches/main/modules/news/modify_settings.php $
 * @lastmodified    $Date: 2019-05-31 18:31:04 +0200 (Fr, 31. Mai 2019) $
 *
 */

if (!defined('SYSTEM_RUN') ){ require( dirname(dirname((__DIR__))).'/config.php' );}

// suppress to print the header, so no new FTAN will be set
//$admin_header = false;
// Tells script to update when this page was last updated
    $update_when_modified = false;
// show the info banner
    $print_info_banner = true;
// Include WB admin wrapper script
    require(WB_PATH.'/modules/admin.php');

    $oRequest = $oRequest ?? \bin\requester\HttpRequester::getInstance();

    $requestMethod = strtoupper($_SERVER['REQUEST_METHOD']);
    $aRequestVars  = (isset(${'_'.$requestMethod}) ? ${'_'.$requestMethod} : $_REQUEST);

    $sAddonName = basename(__DIR__);
    $ModuleRel  = '/modules/'.$sAddonName;
    $ModuleUrl  = WB_URL.$ModuleRel;
    $ModulePath = WB_PATH.$ModuleRel;
    $sAddonPath = WB_PATH.$ModuleRel;

    $aMsg = [];
    $aSuccess = [];

    $aSelectLayout = [];
    $sSelect    = ' selected="selected"';
    $sSectionIdPrefix = (defined( 'SEC_ANCHOR' ) && ( SEC_ANCHOR != 'none' )  ? '#'.SEC_ANCHOR.$section_id : '' );
    $sBacklink  = ADMIN_URL.'/pages/modify.php?page_id='.$page_id.$sSectionIdPrefix;
/* don't forgotte to uncomment */
if (!\bin\SecureTokens::checkFTAN($requestMethod)) { $admin->print_error($MESSAGE['GENERIC_SECURITY_ACCESS'], $sBacklink);}

// include core functions of WB 2.7 to edit the optional module CSS files (frontend.css, backend.css)
    if (!function_exists('edit_module_css')) {include(WB_PATH .'/framework/module.functions.php');}

// check if module language file exists for the language set by the user (e.g. DE, EN)
    if (is_readable(__DIR__.'/languages/EN.php')) {require(__DIR__.'/languages/EN.php');}
    if (is_readable(__DIR__.'/languages/'.DEFAULT_LANGUAGE.'.php')) {require(__DIR__.'/languages/'.DEFAULT_LANGUAGE.'.php');}
    if (is_readable(__DIR__.'/languages/'.LANGUAGE.'.php')) {require(__DIR__.'/languages/'.LANGUAGE.'.php');}
    $oLang = Translate::getInstance();
    $oLang->enableAddon('modules\\'.basename(__DIR__));
    $aDefaultLayouts = ['default_layout','div_layout','div_new_layout'];
// Get header and footer
    $sql  = 'SELECT * FROM '.TABLE_PREFIX.'mod_news_settings '
          . 'WHERE section_id = '.(int)$section_id;
    $oSettings = $database->query( $sql );
    $aSetting = $oSettings->fetchRow( MYSQLI_ASSOC );
    $old_page_id = $page_id;
    $target_section_id = $aSetting['data_protection_link'];
    $sLayoutName = $aSetting['layout'];
    if (isset($aRequestVars['install_layout'])) {
        if (isset($aRequestVars)){
          if (!empty($aRequestVars['layout'])){
            $sLayoutName = Sanitize::StripFromText($aRequestVars['layout'],Sanitize::REMOVE_DEFAULT);
          }
//  TODO later show layout by id relation
          $sql = ''
               . 'SELECT * FROM `'.TABLE_PREFIX.'mod_news_layouts` '.PHP_EOL
               .     'WHERE `layout`=\''.$oReg->Db->escapeString($sLayoutName).'\''.PHP_EOL;
          if (!($oRes = $oReg->Db->query($sql))){
            $aMsg[] = $sql;
            $aMsg[] = \sprintf('[%05d] %s',__LINE__,$oReg->Db->get_error());
          } else {
            $aRow  = $oRes->fetchRow(MYSQLI_ASSOC);
            \extract($aRow);
            $sql  = 'UPDATE '.TABLE_PREFIX.'mod_news_settings SET '
                  . '`layout` = \''.$database->escapeString($sLayoutName).'\', '
                  . '`header`=\''.$database->escapeString($header).'\', '
                  . '`post_loop`=\''.$database->escapeString($post_loop).'\', '
                  . '`footer`=\''.$database->escapeString($footer).'\', '
                  . '`post_header`=\''.$database->escapeString($post_header).'\', '
                  . '`post_footer`=\''.$database->escapeString($post_footer).'\', '
                  . '`comments_header`=\''.$database->escapeString($comments_header).'\', '
                  . '`comments_loop`=\''.$database->escapeString($comments_loop).'\', '
                  . '`comments_footer`=\''.$database->escapeString($comments_footer).'\', '
                  . '`comments_page`=\''.$database->escapeString($comments_page).'\' '
                  . 'WHERE `section_id`='.(int)$section_id.' '
                  . '';
            if (!($oRes = $oReg->Db->query($sql))){
              $aMsg[] = $sql;
              $aMsg[] = sprintf('[%05d] %s',__LINE__,$oReg->Db->get_error());
            }
          }
        }
    }
    $sSqlSet = '';
    $bSqlSet = false;
    if (isset($aRequestVars['save_layout']) || isset($aRequestVars['add_layout'])){
        $sLayout = Sanitize::StripFromText( $admin->get_post('new_layout'),Sanitize::REMOVE_DEFAULT);
        $sOldLayout = Sanitize::StripFromText( $admin->get_post('old_layout'),Sanitize::REMOVE_DEFAULT);
        $sLayout = (empty($sLayout) ? $sOldLayout : $sLayout);
        $header = Sanitize::StripFromText( $admin->get_post('header'),Sanitize::REMOVE_DEFAULT);
        $post_loop = Sanitize::StripFromText( $admin->get_post('post_loop'),Sanitize::REMOVE_DEFAULT);
        $footer = Sanitize::StripFromText( $admin->get_post('footer'),Sanitize::REMOVE_DEFAULT);
        $post_header = Sanitize::StripFromText( $admin->get_post('post_header'),Sanitize::REMOVE_DEFAULT);
        $post_footer = Sanitize::StripFromText( $admin->get_post('post_footer'),Sanitize::REMOVE_DEFAULT);

        $comments_header = Sanitize::StripFromText( $admin->get_post('comments_header'),Sanitize::REMOVE_DEFAULT);
        $comments_loop = Sanitize::StripFromText( $admin->get_post('comments_loop'),Sanitize::REMOVE_DEFAULT);
        $comments_footer = Sanitize::StripFromText( $admin->get_post('comments_footer'),Sanitize::REMOVE_DEFAULT);
        $comments_page = Sanitize::StripFromText( $admin->get_post('comments_page'),Sanitize::REMOVE_DEFAULT);
        $sSqlSet  = ''.PHP_EOL
                  . '`header`=\''.$oReg->Db->escapeString($header).'\', '.PHP_EOL
                  . '`post_loop`=\''.$oReg->Db->escapeString($post_loop).'\', '.PHP_EOL
                  . '`footer`=\''.$oReg->Db->escapeString($footer).'\', '.PHP_EOL
                  . '`post_header`=\''.$oReg->Db->escapeString($post_header).'\', '.PHP_EOL
                  . '`post_footer`=\''.$oReg->Db->escapeString($post_footer).'\', '.PHP_EOL
                  . '`comments_header`=\''.$oReg->Db->escapeString($comments_header).'\', '.PHP_EOL
                  . '`comments_loop`=\''.$oReg->Db->escapeString($comments_loop).'\', '.PHP_EOL
                  . '`comments_footer`=\''.$oReg->Db->escapeString($comments_footer).'\', '.PHP_EOL
                  . '`comments_page`=\''.$oReg->Db->escapeString($comments_page).'\' '.PHP_EOL;
      $bSqlSet = true;
    }

    if ($oRequest->issetParam('save_layout')) {
        $sql  = 'UPDATE `'.TABLE_PREFIX.'mod_news_layouts` SET '.PHP_EOL
              . '`layout` = \''.$oReg->Db->escapeString($sLayout).'\', '.PHP_EOL;
        $sWhere = 'WHERE `layout`= \''.$oReg->Db->escapeString($sLayout).'\'';
        $aSuccess[] = sprintf('The Layout <i>%s</i> succesfully updated',$sLayout);
    }
    if ($oRequest->issetParam('add_layout')) {
        $sNewName = \addon\news\NewsLib::getUniqueName($oReg->Db, 'layout', $sLayout);
        $sql  = 'INSERT INTO `'.TABLE_PREFIX.'mod_news_layouts` SET '.PHP_EOL
              . '`layout` = \''.$oReg->Db->escapeString($sNewName).'\', '.PHP_EOL;
        $sWhere = '';
        $aSuccess[] = sprintf('A Layout named <i>%s</i> succesfully added',$sNewName);
    }
    if ($oRequest->issetParam('delete_layout')){
        $sTmpLayout = $oRequest->getParam('layout');
        $bCannotDeleteDefault = \in_array($sTmpLayout,$aDefaultLayouts);
        $iLayoutInUse = $oReg->Db->get_one('SELECT COUNT(*) FROM `'.TABLE_PREFIX.'mod_news_settings` WHERE `layout` = \''.$oReg->Db->escapeString($sTmpLayout).'\'');
        if ($iLayoutInUse > 0){
            $aMsg[] = sprintf('[%05d] Deleting of used "<i>%s</i>" not possible',__LINE__,$sTmpLayout);
        } elseif ($bCannotDeleteDefault){
            $aMsg[] = sprintf('[%05d] Deleting of preset "<i>%s</i>" not possible',__LINE__,$sTmpLayout);
        } else {
            $bSqlSet = true;
            $sql  = 'DELETE FROM `'.TABLE_PREFIX.'mod_news_layouts` ';
            $sWhere = 'WHERE `layout`= \''.$oReg->Db->escapeString($sTmpLayout).'\' ';
            $aSuccess[] = sprintf('The Layout <i>%s</i> succesfully deleted',$sTmpLayout);
        }
    }
    if (($bSqlSet==true) && !$oReg->Db->query($sql.$sSqlSet.$sWhere)){
          $aMsg[] = sprintf('[%05d] %s',__LINE__,$oReg->Db->get_error());
          $aMsg[] = sprintf('[%05d] %s %s',__LINE__,$sql,$sWhere);
    }
// load layouts for select list
    $sql  = 'SELECT * FROM `'.TABLE_PREFIX.'mod_news_layouts` '
          . 'ORDER BY `id`';
    $oLayout = $database->query( $sql );
    $aLayouts = $oLayout->fetchAll( MYSQLI_ASSOC );
    $iNumRow  = count($aLayouts);
    foreach ($aLayouts as $index=>$aLayout){
      $aSelectLayout[] = $aLayout['layout'];
    }
//    \natcasesort($aSelectLayout);

    $FTAN  = \bin\SecureTokens::getFTAN();
    $sFtan = $FTAN['name'].'='.$FTAN['value'];
    // set settings fields for output FUTURE TODO remove layout fields
    foreach ($aSetting as $sKey=>$sValue){
      if (!isset(${$sKey})) {continue;}
      $aSetting[$sKey] = ${$sKey};
    }
    $sDisabledLayout = (\in_array($aSetting['layout'],$aDefaultLayouts) ? ' disabled="disabled"' : '');
    $sTmpName = \addon\news\NewsLib::getUniqueName($oReg->Db, 'layout', $aSetting['layout']);
    $sTooltip = sprintf($NEWS_MESSAGE['ADD_LAYOUT'],$sTmpName);

//$aSetting
// Set raw html <'s and >'s to be replace by friendly html code
    $raw = array('<', '>');
    $friendly = array('&lt;', '&gt;');

    $aSelectSections = [];
    $aSelectSections = \bin\helpers\ParentList::build_sectionlist(0, $page_id, $aSelectSections);
// include the button to edit the optional module CSS files (function added with WB 2.7)
// Note: CSS styles for the button are defined in backend.css (div class="mod_moduledirectory_edit_css")
// Place this call outside of any <form></form> construct!!!
?>
<div class="w3-padding w3-row w3-panel">
    <div class="w3-container w3-col m3 w3-padding">
      <h2 style="margin: 0.425em 0 0;"><?php echo $MOD_NEWS['SETTINGS']; ?></h2>
    </div>
    <div class="w3-container w3-col m6 w3-margin-top">&#160;</div>
    <div class="w3-container w3-col m3 w3-margin-top">
<?php
    if(function_exists('edit_module_css')){ edit_module_css($sAddonName);}
?>
</div>
<form name="modify" action="<?php echo $ModuleUrl; ?>/save_settings.php" method="post" style="margin: 0;">
    <input type="hidden" name="section_id" value="<?php echo $section_id; ?>" />
    <input type="hidden" name="page_id" value="<?php echo $page_id; ?>" />
    <input type="hidden" value="<?php echo $aSetting['layout']; ?>" name="old_layout"/>
    <input type="hidden" value="<?php echo $sLayoutName; ?>" name="new_layout"/>
    <input type="hidden" value="<?php echo $FTAN['value'];?>" name="<?php echo $FTAN['name'];?>"/>
    <div class="block_outer">
        <table class="news">
          <caption class="news-header"><?php echo $HEADING['GENERAL_SETTINGS']; ?></caption>

          <tbody>
              <tr>
                 <td class="setting_name"><?php echo $TEXT['POSTS_PER_PAGE']; ?></td>
                 <td class="setting_value">
                    <select class="w3-select w3-border" name="posts_per_page">
                       <option value="0"><?php echo $TEXT['UNLIMITED']; ?></option>
<?php
                       for($i = 1; $i <= 20; $i++) {
                          if($aSetting['posts_per_page'] == ($i*5)) { $selected = ' selected="selected"'; } else { $selected = ''; }
                          echo '<option value="'.($i*5).'"'.$selected.'>'.($i*5).'</option>';
                       }
?>
                    </select>
                 </td>
              </tr>
              <tr>
                 <td class="setting_name"><?php echo $MOD_NEWS['TEXT_ORDER_FROM']; ?></td>
                 <td class="setting_value">
                    <select class="w3-select w3-border" name="order_field" >
<?php
                       $sOrderField['published_when']  = $MOD_NEWS['TEXT_PUBLISHED_WHEN'];
                       $sOrderField['title']  = $TEXT['TITLE'];
                       $sOrderField['position']  = $MOD_NEWS['TEXT_POSITION'];
                       foreach($sOrderField AS $key => $name) {
                          if($aSetting['order_field'] == $key) {
?>
                      <option value="<?php echo $key;?>" selected="selected" ><?php echo $name;?></option>
<?php } else { ?>
                      <option value="<?php echo $key;?>" ><?php echo $name;?></option>
<?php }
                       }
?>
                    </select>
                 </td>
              </tr>
              <tr>
                 <td class="setting_name"><?php echo $MOD_NEWS['TEXT_ORDER_TO']; ?></td>
                 <td class="setting_value">
                    <select class="w3-select w3-border" name="order" >
                       <?php
                       $sOrder['DESC']  = $MOD_NEWS['TEXT_ORDER_DESC'];
                       $sOrder['ASC']   = $MOD_NEWS['TEXT_ORDER_ASC'];
                       foreach($sOrder AS $key => $name) {
                          if($aSetting['order'] == $key) {
?>
                      <option value="<?php echo $key;?>" selected="selected" ><?php echo $name;?></option>
<?php } else { ?>
                      <option value="<?php echo $key;?>" ><?php echo $name;?></option>
<?php }
                     }
?>
                    </select>
                 </td>
              </tr>
          <tr>
             <td class="setting_name"><?php echo $TEXT['COMMENTING']; ?></td>
             <td class="setting_value">
                <select class="w3-select w3-border" name="commenting">
                   <option value="none"><?php echo $TEXT['DISABLED']; ?></option>
                   <option value="public" <?php if($aSetting['commenting'] == 'public') { echo ' selected="selected"'; } ?>><?php echo $TEXT['PUBLIC']; ?></option>
                   <option value="private" <?php if($aSetting['commenting'] == 'private') { echo 'selected="selected"'; } ?>><?php echo $TEXT['PRIVATE']; ?></option>
                </select>
             </td>
          </tr>
          </tbody>
        </table>
      <table class="news file-ext">
        <caption class="news-header"><?php echo $HEADING['GENERAL_COMMENTS']; ?></caption>
          <tbody>
          <tr>
             <td class="setting_name"><?php echo $TEXT['CAPTCHA_VERIFICATION']; ?></td>
             <td>
                <input type="radio" name="use_captcha" id="use_captcha_true" value="1"<?php if($aSetting['use_captcha'] == true) { echo ' checked="checked"'; } ?> />
                <label for="use_captcha_true"><?php echo $TEXT['ENABLED']; ?></label>
                <input type="radio" name="use_captcha" id="use_captcha_false" value="0"<?php if($aSetting['use_captcha'] == false) { echo ' checked="checked"'; } ?> />
                <label for="use_captcha_false"><?php echo $TEXT['DISABLED']; ?></label>
             </td>
          </tr>
          <tr>
             <td class="setting_name"><?php echo $TEXT['DSGVO']; ?></td>
             <td>
                <input type="radio" name="use_data_protection" id="use_data_protection_true" value="1"<?php if($aSetting['use_data_protection'] == true) { echo ' checked="checked"'; } ?> />
                <label for="use_data_protection_true"><?php echo $TEXT['ENABLED']; ?></label>
                <input type="radio" name="use_data_protection" id="use_data_protection_false" value="0"<?php if($aSetting['use_data_protection'] == false) { echo ' checked="checked"'; } ?> />
                <label for="use_data_protection_false"><?php echo $TEXT['DISABLED']; ?></label>
             </td>
          </tr>

          <tr>
             <td class="setting_name"><?php echo $TEXT['DSGVO_LINK']; ?></td>
             <td>
                <div class="w3-row" style="width: 98%;">
                    <div class="input-container">
                    <i class="fa fa-search icon">&#160;</i>
                    <input class="input-field" placeholder="Search" id="dsgvoInput" onkeyup="dsgvoSelect(this)" type="text" value=""/>
                    </div>
                </div>
                <select
                id="dsgvo"
                class="w3-border w3-select-multi js-dsgvo-multiple w3-select"
                size="4"
                style="max-width: 98%!important;font-family:monospace;font-size: 14px;"
                name="data_protection_link"
                >
                  <option value="0"><?php echo $TEXT['PLEASE_SELECT']; ?></option>
<?php
                  foreach($aSelectSections as $aRes) {
                      $option_link = explode('|',$aRes['descr']);
                      $sDisabled = $option_link[0] ? '':' disabled="disabled"';
                      $sSelected = (($option_link[0] == $target_section_id) ? $sSelect : '');
                      $sFlagUrl  = WB_URL.'/modules/WBLingual/flags/png/'.strtolower($aRes['language']);  // {ADDON_LANG_URL}flags/png/{PAGE_LANG}
?>
                      <option <?php echo $sDisabled ;?>value="<?php echo $option_link[0];?>"<?php echo $sSelected;?> class="flag-box" style="background-image: url(<?php echo $sFlagUrl;?>-24.png);"><?php echo $option_link[1];?></option>
<?php
                  }?>
              </select>
             </td>
          </tr>

<?php
      /* Make's sure GD library is installed */
      if(extension_loaded('gd') && function_exists('imageCreateFromJpeg')) {
?>
          <tr>
             <td class="setting_name"><?php echo $TEXT['RESIZE_IMAGE_TO']; ?>:</td>
             <td class="setting_value">
                <select class="w3-select w3-border" name="resize" style="width: 98%;" >
                   <option value="0"><?php echo $TEXT['NONE']; ?></option>
<?php
                   $SIZES['50']  = '50x50px';
                   $SIZES['75']  = '75x75px';
                   $SIZES['100'] = '100x100px';
                   $SIZES['125'] = '125x125px';
                   $SIZES['150'] = '150x150px';
                   foreach($SIZES AS $size => $size_name) {
                      if($aSetting['resize'] == $size) { $selected = ' selected="selected"'; } else { $selected = ''; }
                      echo '<option value="'.$size.'"'.$selected.'>'.$size_name.'</option>';
                   }
?>
                </select>
             </td>
          </tr>
<?php } ?>
          </tbody>
       </table>
    </div><!--  -->

    <div class="w3-cell-row w3-margin-top"></div>
        <div class="w3-container w3-cell w3-mobile">
             <input style="min-width: 12.5em;" class="btn btn-default w3-blue-wb w3-hover-green w3-medium w3-padding-4" name="save" type="submit" value="<?php echo $TEXT['SAVE']; ?>" >
        </div>
        <div class="w3-container w3-cell w3-mobile">
            <input style="min-width: 13.5em;" class="btn btn-default w3-blue-wb w3-hover-green w3-medium w3-padding-4" name="save_pagetree" type="submit" value="<?php echo $TEXT['SAVE'].' & '.$TEXT['CLOSE']; ?>">
        </div>
        <div class="w3-container w3-cell w3-mobile">
            <input style="min-width: 12.5em;" id="cancel" class="btn btn-default w3-blue-wb w3-hover-green w3-medium w3-padding-4" type="button" value="<?php echo $TEXT['CLOSE']; ?>" onclick="window.location='<?php echo $sBacklink; ?>';" />
        </div>
    </form>

    </div>

    <div class="news block_outer" style="margin-top: 2.225em;">
    <form action="<?php echo WB_URL; ?>/modules/<?php echo $sAddonName;?>/modify_settings.php#news_layout" method="post" >
        <input type="hidden" value="<?php echo $page_id; ?>" name="page_id"/>
        <input type="hidden" value="<?php echo $section_id; ?>" name="section_id"/>
        <input type="hidden" value="<?php echo $FTAN['value'];?>" name="<?php echo $FTAN['name'];?>"/>
        <input type="hidden" value="<?php echo $aSetting['layout']; ?>" name="old_layout"/>
      <table class="news file-ext">
        <caption id="news_layout" class="news-header"><?php echo $HEADING['GENERAL_LAYOUTS']; ?></caption>
        <thead>
            <tr>
              <th colspan="2">
<?php
    if (count($aMsg)){
       print '<div class="w3-panel w3-pale-red w3-leftbar w3-border-red w3-padding ">'.PHP_EOL;
       print '<p class="w3-large w3-serif">'.PHP_EOL;
        foreach ($aMsg as $msg){
          if (empty(($msg))){continue;}
          print $msg.'<br />';
        }
       print '</p></div>'.PHP_EOL;
    }elseif (count($aSuccess)){
       print '<div class="w3-panel w3-pale-green w3-leftbar w3-border-green w3-padding ">'.PHP_EOL;
       print '<p class="w3-large w3-serif">'.PHP_EOL;
        foreach ($aSuccess as $msg){
          if (empty(($msg))){continue;}
          print $msg.'<br />';
        }
       print '</p></div>'.PHP_EOL;
    } else {
       print '<div class="w3-panel w3-leftbar w3-light-grey">'.PHP_EOL;
       print '<p class="w3-large w3-serif">'.PHP_EOL;
       print '<i class="w3-border-0"><b class="w3-text-red w3-medium">&#160;</b> New placeholder [GROUP_BACK] link for active group filter in post_header!</i>'.PHP_EOL;
       print '</p></div>'.PHP_EOL;
    }

?>
              </th>
            </tr>
            <tr>
               <th class="setting_name"><?php echo $HEADING['CHOOSE_LAYOUTS']; ?></th>
                <th>
                  <ul class="w3-navbar" style="width: 100%;">
                      <li>
                        <select name="layout" id="layout" class="w3-select w3-border" style="min-width: 15em;">
<?php
                foreach($aSelectLayout as $sLayout) {
                    $sSelected = (($sLayout==$aSetting['layout']) ? ' selected="selected"' : '');
?>
                    <option value="<?php echo $sLayout;?>"<?php echo $sSelected;?>><?php echo $sLayout;?></option>
<?php } ?>
                                </select>
                    </li>
                    <li>
                        <input type="submit" name="install_layout" value="<?php echo $MOD_NEWS['LOAD']; ?>" class="btn btn-default w3-blue-wb w3-hover-green w3-medium w3-padding-4" style="min-width:8.525em;margin-left: 0.525em;" />
                        <span style="display:inline;">
                          <input type="submit" name="save_layout" id="save_layout" value="<?php echo $TEXT['SAVE']; ?>" class="btn btn-default w3-blue-wb w3-hover-green w3-medium w3-padding-4" style="min-width:8.525em;margin-left: 0.525em;" />
                        </span>
                        <span style="display:inline;">
                          <input id="delete_layout" type="submit" name="delete_layout" value="<?php echo $TEXT['DELETE']; ?>" class="btn btn-default w3-blue-wb w3-hover-red w3-medium w3-padding-4"<?php echo $sDisabledLayout;?> style="min-width:8.525em;margin-left: 0.525em;" />
                        </span>
                    </li>
                    <li>
                        <span title="<?php echo $sTooltip;?>">
                            <input value="" type="text" name="new_layout" id="new_layout" class="w3-input w3-border" placeholder="" pattern=".*\S.*" style="min-width:8.525em;margin-left: 0.525em;" />
                        </span>
                    </li>
                    <li style="margin-left: 0.925em;" id="add_layout">
                        <input type="submit" name="add_layout" value="<?php echo $TEXT['ADD']; ?>" class="btn btn-default w3-blue-wb w3-hover-green w3-medium w3-padding-4" />
                    </li>
                </ul>
                </th>

            </tr>
        </thead>
        <tbody>
              <tr>
                 <th class="setting_name"><?php echo $TEXT['HEADER']; ?></th>
                 <td class="setting_value">
                    <textarea name="header" rows="5" cols="1" style="width: 98%;"><?php echo ($aSetting['header']); ?></textarea>
                 </td>
              </tr>
              <tr>
                 <th class="setting_name"><?php echo $TEXT['POST'].' '.$TEXT['LOOP']; ?></th>
                 <td class="setting_value">
                    <textarea name="post_loop" rows="10" cols="1" style="width: 98%;"><?php echo ($aSetting['post_loop']); ?></textarea>
                 </td>
              </tr>
              <tr>
                 <th class="setting_name"><?php echo $TEXT['FOOTER']; ?></th>
                 <td class="setting_value">
                    <textarea name="footer" rows="10" cols="1" style="width: 98%;"><?php echo str_replace($raw, $friendly, ($aSetting['footer'])); ?></textarea>
                 </td>
              </tr>
              <tr>
                 <th class="setting_name"><?php echo $TEXT['POST_HEADER']; ?></th>
                 <td class="setting_value">
                    <textarea name="post_header" rows="10" cols="1" style="width: 98%;"><?php echo str_replace($raw, $friendly, ($aSetting['post_header'])); ?></textarea>
                 </td>
              </tr>
              <tr>
                 <th class="setting_name"><?php echo $TEXT['POST_FOOTER']; ?></th>
                 <td class="setting_value">
                    <textarea name="post_footer" rows="5" cols="1" style="width: 98%;"><?php echo str_replace($raw, $friendly, ($aSetting['post_footer'])); ?></textarea>
                 </td>
              </tr>
              </tbody>
              <tbody>
              <tr>
                  <th class="setting_name">&#160;</th>
                  <td class="setting_value"><h3 ><?php echo $HEADING['LAYOUT_COMMENTS']; ?></h3></td>
              </tr>
          <tr>
             <th class="setting_name"><?php echo $TEXT['COMMENTS'].' '.$TEXT['HEADER']; ?></th>
             <td class="setting_value">
                <textarea name="comments_header" rows="4" cols="1" style="width: 98%;"><?php echo str_replace($raw, $friendly, ($aSetting['comments_header'])); ?></textarea>
             </td>
          </tr>
          <tr>
             <th class="setting_name w3-cell-middle"><?php echo $TEXT['COMMENTS'].' '.$TEXT['LOOP']; ?></th>
             <td class="setting_value">
                <textarea name="comments_loop" rows="8" cols="1" style="width: 98%;"><?php echo str_replace($raw, $friendly, ($aSetting['comments_loop'])); ?></textarea>
             </td>
          </tr>
          <tr>
             <th class="setting_name w3-cell-middle"><?php echo $TEXT['COMMENTS'].' '.$TEXT['FOOTER']; ?></th>
             <td class="setting_value">
                <textarea name="comments_footer" rows="3" cols="1" style="width: 98%;"><?php echo str_replace($raw, $friendly, ($aSetting['comments_footer'])); ?></textarea>
             </td>
          </tr>
          <tr>
             <th class="setting_name w3-cell-middle"><?php echo $TEXT['COMMENTS'].' '.$TEXT['PAGE']; ?></th>
             <td class="setting_value">
                <textarea name="comments_page" rows="4" cols="1" style="width: 98%;"><?php echo str_replace($raw, $friendly, ($aSetting['comments_page'])); ?></textarea>
             </td>
          </tr>
          </tbody>
        </table>
        </form>
    </div><!--end class="news" -->
    <script>
        var deleteLayout = document.getElementById("delete_layout");
        if (deleteLayout.disabled) {
            deleteLayout.classList.remove("w3-blue-wb","w3-hover-red");
        } else {
            deleteLayout.classList.add("w3-blue-wb","w3-hover-red");
        }
//console.log(deleteLayout);

        document.getElementById("layout").addEventListener('change', selectLayout, false);
        function selectLayout() {
            var aDefaultLayout = ['default_layout','div_layout','div_new_layout'];
            var changeLayout = document.getElementById("delete_layout");
            var selectedLayout = this.options[this.selectedIndex].value;
            if (aDefaultLayout.indexOf(selectedLayout) > -1){
                changeLayout.classList.remove("w3-blue-wb","w3-hover-red");
                changeLayout.setAttribute("disabled", "disabled");
            } else{
                changeLayout.removeAttribute("disabled");
                changeLayout.classList.add("w3-blue-wb","w3-hover-red");
            }
        }
    </script>
<?php
    if ($print_info_banner) { }
// Print admin footer
    $admin->print_footer();
