<?php
/**
 *
 * @category        modules
 * @package         news
 * @author          WebsiteBaker Project
 * @copyright       Website Baker Org. e.V.
 * @link            https://websitebaker.org/
 * @license         https://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.12.1
 * @requirements    PHP 5.6 and higher
 * @version         $Id: save_comment.php 292 2019-03-26 20:09:43Z Luisehahne $
 * @filesource      $HeadURL: svn://isteam.dynxs.de/wb/2.12.x/branches/main/modules/news/save_comment.php $
 * @lastmodified    $Date: 2019-03-26 21:09:43 +0100 (Di, 26. Mrz 2019) $
 *
 */

// Include config file
if (!defined('SYSTEM_RUN')) {require( dirname(dirname((__DIR__))).'/config.php');}
$sAddonName = basename(__DIR__);

    $sAddonName = basename(__DIR__);
    $sAddonRel  = '/modules/'.$sAddonName;
    $sAddonUrl  = WB_URL.$sAddonRel;
    $sAddonPath = WB_PATH.$sAddonRel;

    $admin_header = false;
    // Tells script to update when this page was last updated
    $update_when_modified = true;
    // Include WB admin wrapper script
    require(WB_PATH.'/modules/admin.php');

    $sSectionIdPrefix = (defined( 'SEC_ANCHOR' ) && ( SEC_ANCHOR != 'none' )  ? '#'.SEC_ANCHOR.$section_id : '' );
    $sBacklink = ADMIN_URL.'/pages/modify.php?page_id='.$page_id;

    $oTrans = Translate::getInstance();
    $oTrans->enableAddon('modules\\'.$sAddonName);

// Get id
if(!isset($aRequestVars['comment_id']) || !is_numeric($aRequestVars['comment_id']) || !isset($aRequestVars['post_id']) || !is_numeric($aRequestVars['post_id']))
{
    $wb->send_header($sBacklink.$sSectionIdPrefix);
    exit( 0 );
}else{
    $comment_id = (int)$_POST['comment_id'];
}

if (!$admin->checkFTAN($requestMethod))
{
    $admin->print_header();
    $admin->print_error($MESSAGE['GENERIC_SECURITY_ACCESS'], $sBacklink.$sSectionIdPrefix);
}

// Validate all fields
if($admin->get_post('title') == '' && $admin->get_post('comment') == '')
{
    $admin->print_header();
    $admin->print_error($MESSAGE['GENERIC_FILL_IN_ALL'], WB_URL.'/modules/'.$sAddonName.'/modify_comment.php?page_id='.$page_id.'&section_id='.$section_id.'comment_id='.$id);
}else{
    $title = strip_tags($admin->get_post('title'));
    $comment = strip_tags($admin->get_post('comment'));
    $post_id = $admin->getIDKEY($admin->get_post('post_id'));
    $active = intval(isset($aRequestVars['active'])?$aRequestVars['active']:0);
    // do not allow droplets in user input!
    $title = $admin->StripCodeFromText( $title);
    $comment = $admin->StripCodeFromText( $comment);
    $sBackCommonLink = WB_URL.'/modules/'.$sAddonName.'/modify_comment.php?page_id='.$page_id.'&section_id='.$section_id.'&comment_id='.($admin->getIDKEY($comment_id));
    $sBackPostLink   = WB_URL.'/modules/'.$sAddonName.'/modify_post.php?page_id='.$page_id.'&section_id='.$section_id.'&post_id='.$admin->getIDKEY($post_id);
    $admin->print_header();
    // Update row
    $sql  = 'UPDATE '.TABLE_PREFIX.'mod_news_comments SET '
          . '`title`=\''.$database->escapeString($title).'\', '
          . '`comment`=\''.$database->escapeString($comment).'\', '
          . '`active` = '.(int)$active.' '
          . ' WHERE `comment_id`=\''.$database->escapeString($comment_id).'\'';
    if (!$database->query($sql)){
        $admin->print_error($database->get_error(),$sBackPostLink);
    }else {
        $admin->print_success($oTrans->MOD_NEWS_SUCCESS_COMMENT, $sBackCommonLink);
    }
}

// Print admin footer
$admin->print_footer();
