<?php
/**
 */
/*
 * Copyright (C) 2017 Manuela v.d.Decken <manuela@isteam.de>
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT OR THIS HEADER
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License 2 for more details.
 *
 * You should have received a copy of the GNU General Public License 2
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Description of modules/news/save_group.php
 *
 * @package      Core
 * @copyright    Manuela v.d.Decken <manuela@isteam.de>
 * @author       Manuela v.d.Decken <manuela@isteam.de>
 * @license      GNU General Public License 2.0
 * @version      2.0.1
 * @revision     $Id: save_group.php 151 2018-10-09 11:54:18Z Luisehahne $
 * @since        File available since 04.10.2017
 * @deprecated   no
 * @description  xxx
 */
//declare(strict_types = 1);
//declare(encoding = 'UTF-8');

//namespace ;

// use

if (!\defined('SYSTEM_RUN')) {require(\dirname(\dirname((__DIR__))).'/config.php');}

$sAddonName = \basename(__DIR__);
$sAddonRel  = '/modules/'.$sAddonName;
$sAddonUrl  = WB_URL.$sAddonRel;
$sAddonPath = WB_PATH.$sAddonRel;

try {

    $admin_header = false;
    // Tells script to update when this page was last updated
    $update_when_modified = true;
    // Include WB admin wrapper script
    require(WB_PATH.'/modules/admin.php');

    $requestMethod = \strtoupper($_SERVER['REQUEST_METHOD']);
    $aRequestVars  = (isset(${'_'.$requestMethod}) ? ${'_'.$requestMethod} : $_REQUEST);

    $group_id = \intval(isset($aRequestVars['group_id'])
                      ? $aRequestVars['group_id']
                      : (isset($group_id) ? $group_id : 0)
               );

    $sBackLink = ADMIN_URL.'/pages/modify.php?page_id='.$page_id;
    $sAddonBackUrl = $sBackLink;
    if (!$admin->checkFTAN($requestMethod)){
       $admin->print_header();
//       $admin->print_error($MESSAGE['GENERIC_SECURITY_ACCESS'], $sBackLink);
       #
    }
    $admin->print_header();
    $FTAN = $admin->getFTAN('GET');
    // Include WB functions file
   if (!\function_exists ('xnl2br')) {require(WB_PATH . '/framework/functions.php');}
    $sBackGroupLink = $sAddonUrl.'/modify_group.php?page_id='.$page_id.'&section_id='.$section_id.'&group_id='.$admin->getIDKEY($group_id);

    // Validate all fields
    if($admin->get_post('title') == ''){
       $admin->print_error($MESSAGE['GENERIC_FILL_IN_ALL'], $sBackGroupLink);
    }else{
       $title = $admin->StripCodeFromText($admin->get_post('title'));
       $active = \intval($admin->get_post('active'));
    }

    // Update row
    $sql  = 'UPDATE `'.TABLE_PREFIX.'mod_news_groups` SET '
          . '`title`=\''.$database->escapeString($title).'\', '
          . '`active`=\''.$database->escapeString($active).'\' '
          . 'WHERE `group_id`='.$database->escapeString($group_id);
    $database->query($sql);

    // Check if the user uploaded an image or wants to delete one
    if (isset($_FILES['image']['tmp_name']) && $_FILES['image']['tmp_name'] != '') {
       // Get real filename and set new filename
       $filename = $_FILES['image']['name'];
       $file_image_type = $_FILES['image']['type'];
       $new_filename = WB_PATH.MEDIA_DIRECTORY.'/.news/image'.$group_id.'.jpg';

       // Make sure the target directory exists
       make_dir(WB_PATH.MEDIA_DIRECTORY.'/.news');
       // Upload image
       move_uploaded_file($_FILES['image']['tmp_name'], $new_filename);
       // Check if we need to create a thumb
       $query_settings = $database->query("SELECT resize FROM ".TABLE_PREFIX."mod_news_settings WHERE section_id = '$section_id'");
       $fetch_settings = $query_settings->fetchRow(\MYSQLI_ASSOC);
       $resize = $fetch_settings['resize'];
       $height = $resize;
       if ($resize == 0)
       {
          list($resize, $height) = getimagesize($new_filename);
       }
          // Resize the image
          $thumb_location = WB_PATH.MEDIA_DIRECTORY.'/.news/thumb'.$group_id.'.jpg';
          if (make_thumb($new_filename, $thumb_location, $resize, $height))
          {
             \unlink($new_filename);
             rename($thumb_location, $new_filename);
          }
    }
    if (isset($aRequestVars['delete_image']) AND $aRequestVars['delete_image'] != '')
    {
       // Try unlinking image
       if (file_exists(WB_PATH.MEDIA_DIRECTORY.'/.news/image'.$group_id.'.jpg')){
          \unlink(WB_PATH.MEDIA_DIRECTORY.'/.news/image'.$group_id.'.jpg');
       }
    }
    $sBackLink = (isset($aRequestVars['save_close'])?$sBackLink:$sBackGroupLink);
    // Check if there is a db error, otherwise say successful
    if($database->is_error()) {
    //   $admin->print_error($database->get_error(), WB_URL.'/modules/'.$sAddonName.'/modify_group.php?page_id='.$page_id.'&section_id='.$section_id.'&group_id='.$admin->getIDKEY($group_id));
       $admin->print_error($database->get_error(), ADMIN_URL.'/pages/modify.php?page_id='.$page_id);
    } else {
       $admin->print_success($TEXT['SUCCESS'], $sBackLink);
    }

    unset($_FILES);
} catch (\Exception $ex) {

   if (!function_exists ('xnl2br')) {require(WB_PATH . '/framework/functions.php');}
    $sErrMsg = xnl2br(\sprintf('[%d] %s', $ex->getLine(), $ex->getMessage()));
    $admin->print_error ($sErrMsg, $sAddonBackUrl);
    exit;
}// Print admin footer
$admin->print_footer();
