<?php
/**
 *
 * @category        modules
 * @package         news
 * @author          WebsiteBaker Project
 * @copyright       WebsiteBaker Org. e.V.
 * @link            https://websitebaker.org/
 * @license         https://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.12.1
 * @requirements    PHP 5.6 and higher
 * @version         $Id: save_post.php 292 2019-03-26 20:09:43Z Luisehahne $
 * @filesource      $HeadURL: svn://isteam.dynxs.de/wb/2.12.x/branches/main/modules/news/save_post.php $
 * @lastmodified    $Date: 2019-03-26 21:09:43 +0100 (Di, 26. Mrz 2019) $
 *
 */

   function createNewsAccessFile($aOptional=[])
   {
      $bExcecuteCommand = false;
//      $sAddonName = \basename(__DIR__);
      $localVariables = \extract($aOptional);
      include \dirname(__DIR__).'/SimpleCommandDispatcher.inc.php';
//      global $admin, $MESSAGE;
      $admin = $oReg->App;
      $aMessage = [];
// Work-out all needed path and filenames
      $sAccessFileRootPath = $oReg->AppPath.$oReg->PagesDir.$sNewsLinkSubdir;
      $sOldLink     = \preg_replace('/^\/?'.\preg_quote($sNewsLinkSubdir, '/').'/', '', \str_replace('\\', '/', $oldLink));
      $sOldFilename = $sAccessFileRootPath.$sOldLink.$oReg->PageExtension;
      $sNewLink     = page_filename($title).$oReg->PageSpacer.$post_id;
//      $newFile      = $sPagesPath.$newLink.PAGE_EXTENSION;
      $sNewFilename = $sAccessFileRootPath.$sNewLink.$oReg->PageExtension;
// create /posts/ - directory if not exists
      if (!\file_exists($sPostsPath)) {
         if (\is_writable($sPagesPath)) {
            make_dir($sPostsPath);
         }else {
            $aMessage = (\sprintf('[%d] %s',__LINE__,$MESSAGE['PAGES_CANNOT_CREATE_ACCESS_FILE']));
            throw new \Exception ($aMessage);
         }
      }
   // check if /posts/ - dir is writable
      if (!\is_writable($sPostsPath.'/')) {
         $aMessage = (\sprintf('[%d] %s',__LINE__,$MESSAGE['PAGES_CANNOT_CREATE_ACCESS_FILE']));
      }
        $sDoWhat = (($sNewLink == $sOldLink) && (\is_readable($sNewFilename)))
                   ? "nothing"
                   : ((\is_writable($sOldFilename)) ? "update" : "create");
        switch($sDoWhat)
        {
            case "update":
                try {
//                    $oAF = new \AccessFile($sAccessFileRootPath, $sOldLink, $page_id);
//                    $oAF->rename($sNewLink);
//                    unset($oAF);
                      \unlink($sOldFilename);
                }catch(\AccessFileException $e) {
                    $aMessage = $e;
                    throw new \Exception ($aMessage);
                }
//            break;
            case "create":
                try {
                    $oAF = new \AccessFile($sAccessFileRootPath, $sNewLink, $page_id);
                    $oAF->addVar('section_id', $section_id, \AccessFile::VAR_INT);
                    $oAF->addVar('post_id', $post_id, \AccessFile::VAR_INT);
                    $oAF->addVar('post_section', $section_id, \AccessFile::VAR_INT);
                    $oAF->write();
                    unset($oAF);
                }catch(\AccessFileException $e) {
                    $aMessage = $e;
                    throw new \Exception ($aMessage);
                }
            break;
        }
   } // end of function createNewsAccessFile

/* ************************************************************************** */
    if (!\defined('SYSTEM_RUN')) {require(\dirname(\dirname((__DIR__))).'/config.php');}
    if (!\function_exists ('jscalendar_to_timestamp')) {require(WB_PATH."/include/jscalendar/jscalendar-functions.php");}

try {

    $sAddonName = \basename(__DIR__);
    $sAddonRel  = '/modules/'.$sAddonName;
    $sAddonUrl  = WB_URL.$sAddonRel;
    $sAddonPath = WB_PATH.$sAddonRel;

    $sPagesPath = WB_PATH.PAGES_DIRECTORY;
    $sPostsPath = $sPagesPath.'/posts/';
    $sNewsLinkSubdir = 'posts/';

    $admin_header = false;
    // Tells script to update when this page was last updated
    $update_when_modified = true;
    // Include WB admin wrapper script
    require(WB_PATH.'/modules/admin.php');

    $post_id = $oRequest->getParam('post_id',\FILTER_VALIDATE_INT);
    $sPostIdKey =  $admin->getIDKEY($post_id);

    $sSectionIdPrefix = (\defined( 'SEC_ANCHOR' ) && ( SEC_ANCHOR != 'none' )  ? '#'.SEC_ANCHOR.$section_id : '' );
    $sBacklink = ADMIN_URL.'/pages/modify.php?page_id='.$page_id;
    $sBackPostLink = WB_URL.'/modules/'.$sAddonName.'/modify_post.php?page_id='.$page_id.'&section_id='.$section_id.'&post_id='.$sPostIdKey;
    $sBacklink = ($oRequest->getParam('save_pagetree') ? $sBacklink.'#'.$sSectionIdPrefix.$section_id :$sBackPostLink );
    $sAddonBackUrl = $sBacklink;

// Get post_id
   if (!($post_id)) {
       $aMessage = \sprintf('%s',$MESSAGE['GENERIC_FILL_IN_ALL']);
       $sAddonBackUrl = $sBacklink;
       throw new \Exception ($aMessage);
   }

    $oTrans = \Translate::getInstance();
    $oTrans->enableAddon('modules\\'.$sAddonName);

    if (!$admin->checkFTAN($requestMethod)){
        $admin->print_header();
        $aMessage = \sprintf($MESSAGE['GENERIC_SECURITY_ACCESS']);
        $sAddonBackUrl = $sBacklink;
        throw new \Exception ($aMessage);
    }
     $admin->print_header();

// Validate all fields
    if ($admin->get_post('title') == '' && $admin->get_post('url') == '') {
       $recallUrl = WB_URL.'/modules/'.$sAddonName.'/modify_post.php?page_id='.$page_id.
                    '&section_id='.$section_id.'&post_id='.$sPostIdKey;
       $aMessage = \sprintf('%s',$MESSAGE['GENERIC_FILL_IN_ALL']);
       $sAddonBackUrl = $recallUrl;
       throw new \Exception ($aMessage);
    }else {

      $title      = $admin->StripCodeFromText($admin->get_post('title'));
      $short      = $admin->get_post('short');
      $long       = $admin->get_post('long');
      $commenting = $admin->StripCodeFromText($admin->get_post('commenting'));
      $moderated  = \intval($admin->get_post('moderated'));
      $active     = \intval($admin->get_post('active'));
//      $old_link   = $admin->StripCodeFromText($admin->get_post('link'));
      $group_id   = \intval($admin->get_post('group'));
    }
    $short = $admin->ReplaceAbsoluteMediaUrl($short);
    $long  = $admin->ReplaceAbsoluteMediaUrl($long);
/*
// Get page link URL
    $sql = 'SELECT `link` FROM `'.TABLE_PREFIX.'pages` WHERE `page_id`='.(int)$page_id;
*/
// Get post old link URL
    $sql  = 'SELECT `link` FROM `'.TABLE_PREFIX.'mod_news_posts` '
          . 'WHERE `post_id`='.$post_id;
    $oldLink = $database->get_one($sql);

// Include WB functions file
    if (!\function_exists('page_filename')){require(WB_PATH.'/framework/functions.php');}
// Work-out what the link should be
    $newLink = '/posts/'.page_filename($title).PAGE_SPACER.$post_id;
    $now = \time();
// get publisedwhen and publisheduntil
    $publishedwhen = jscalendar_to_timestamp($admin->get_post('publishdate'));
    if ($publishedwhen == '' || $publishedwhen < 1) { $publishedwhen=0; }
    $publisheduntil = jscalendar_to_timestamp($admin->get_post('enddate'), $publishedwhen);
    if ($publisheduntil == '' || $publisheduntil < 1) { $publisheduntil=0; }
    $aOptional = [
        'page_id'=>$page_id,
        'section_id'=>$section_id,
        'post_id'=>$post_id,
        'group_id'=>$group_id,
        'title'=>$title,
        'oldLink'=>$oldLink,
//        'newLink'=>$newLink,
        'publishedwhen'=>$publishedwhen,
        'sPagesPath'=>$sPagesPath,
        'sPostsPath'=>$sPostsPath,
        'sNewsLinkSubdir'=>$sNewsLinkSubdir,
        'sAddonName'=>$sAddonName,
        'sAddonRel'=>$sAddonRel,
/*
        'sBackPostLink'=>$sBackPostLink,
        'sBacklink'=>$sBacklink,
        'sBackUrl'=>$sBackPostLink,
*/
    ];

// Update row
     $sql  = 'UPDATE `'.TABLE_PREFIX.'mod_news_posts` SET '
           . '`group_id`='.(int)$group_id.', '
           . '`title`=\''.$database->escapeString($title).'\', '
           . '`link`=\''.$database->escapeString($newLink).'\', '
           . '`content_short`=\''.$database->escapeString($short).'\', '
           . '`content_long`=\''.$database->escapeString($long).'\', '
           . '`commenting`=\''.$database->escapeString($commenting).'\', '
           . '`moderated`='.\intval($moderated).', '
           . '`active`='.\intval($active).', '
           . '`published_when`='.(int)$publishedwhen.', '
           . '`published_until`='.(int)$publisheduntil.', '
           . '`modified_when`='.$now.', '
           . '`modified_by`='.(int)$admin->get_user_id().' '
           . 'WHERE `post_id`='.(int)$post_id;
    if ($database->query($sql)){
// Check if there is a db error, otherwise say successful
        if ($database->is_error()) {
           $aMessage = \sprintf('%s',$database->get_error());
           throw new \Exception ($aMessage);
        } else {
// create new accessfile
            createNewsAccessFile($aOptional);
            $admin->print_success($oTrans->MOD_NEWS_SUCCESS_POST, $sAddonBackUrl);
        }
    }


} catch (\Exception $ex) {

   if (!function_exists ('xnl2br')) {require(WB_PATH . '/framework/functions.php');}
    $sErrMsg = xnl2br(\sprintf('[%d] %s', $ex->getLine(), $ex->getMessage()));
    $admin->print_error ($sErrMsg, $sAddonBackUrl);
    exit;
}

// Print admin footer
    $admin->print_footer();

