<?php
/**
 *
 * @category        modules
 * @package         news
 * @author          WebsiteBaker Project
 * @copyright       2009-2011, Website Baker Org. e.V.
 * @link            https://websitebaker.org/
 * @license         https://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.12.1
 * @requirements    PHP 5.6 and higher
 * @version         $Id: save_settings.php 366 2019-06-02 11:55:33Z Luisehahne $
 * @filesource      $HeadURL: svn://isteam.dynxs.de/wb/2.12.x/branches/main/modules/news/save_settings.php $
 * @lastmodified    $Date: 2019-06-02 13:55:33 +0200 (So, 02. Jun 2019) $
 *
 */

if (!\defined('SYSTEM_RUN')) {require( dirname(dirname((__DIR__))).'/config.php');}
// Include WB admin wrapper script
    $bDebug = false;
    $update_when_modified = true; // Tells script to update when this page was last updated
    $admin_header = false;
    require(WB_PATH.'/modules/admin.php');
    $oRequest = $oRequest ?? \bin\requester\HttpRequester::getInstance();

//    $requestMethod = strtoupper($_SERVER['REQUEST_METHOD']);
//    $aRequestVars  = (isset(${'_'.$requestMethod}) ? ${'_'.$requestMethod} : $_REQUEST);

    $sAddonName = basename(__DIR__);
    $ModuleRel  = '/modules/'.$sAddonName;
    $ModuleUrl  = WB_URL.$ModuleRel;
    $ModulePath = WB_PATH.$ModuleRel;

    $sSectionIdPrefix = '#'.(defined( 'SEC_ANCHOR' ) && !empty(SEC_ANCHOR) ? SEC_ANCHOR : 'Sec' ).$section_id;
    $sBacklink = ADMIN_URL.'/pages/modify.php?page_id='.$page_id;

    if (!$admin->checkFTAN($requestMethod))
    {
        $admin->print_header();
        $admin->print_error($MESSAGE['GENERIC_SECURITY_ACCESS'], $sBacklink.$sSectionIdPrefix);
    }
    $FTAN = $admin->getFTAN('GET');
    $sBackUrl = $ModuleUrl.'/modify_settings.php?page_id='.$page_id.'&section_id='.$section_id.'&'.$FTAN;
    $sBacklink = (isset($_REQUEST['save_pagetree'])? $sBacklink.$sSectionIdPrefix : $sBackUrl );

    $admin->print_header();

    $bSettingsRights = (($admin->ami_group_member('1')||$admin->get_permission('settings_view')) ? true : false);
// This code removes any <?php tags and adds slashes
    $friendly = array('&lt;', '&gt;', '?php');
    $raw = array('<', '>', '');
/*
    $header = Sanitize::StripFromText( $admin->get_post('header'),Sanitize::REMOVE_DEFAULT);
    $post_loop = Sanitize::StripFromText( $admin->get_post('post_loop'),Sanitize::REMOVE_DEFAULT);
    $footer = Sanitize::StripFromText( $admin->get_post('footer'),Sanitize::REMOVE_DEFAULT);
    $post_header = Sanitize::StripFromText( $admin->get_post('post_header'),Sanitize::REMOVE_DEFAULT);
    $post_footer = Sanitize::StripFromText( $admin->get_post('post_footer'),Sanitize::REMOVE_DEFAULT);

    $comments_header = Sanitize::StripFromText( $admin->get_post('comments_header'),Sanitize::REMOVE_DEFAULT);
    $comments_loop = Sanitize::StripFromText( $admin->get_post('comments_loop'),Sanitize::REMOVE_DEFAULT);
    $comments_footer = Sanitize::StripFromText( $admin->get_post('comments_footer'),Sanitize::REMOVE_DEFAULT);
    $comments_page = Sanitize::StripFromText( $admin->get_post('comments_page'),Sanitize::REMOVE_DEFAULT);
*/
    $sLayout = Sanitize::StripFromText( $admin->get_post('new_layout'),Sanitize::REMOVE_DEFAULT);
    $sOrderField = Sanitize::StripFromText( $admin->get_post('order_field'),Sanitize::REMOVE_DEFAULT);
    $sOrder = Sanitize::StripFromText( $admin->get_post('order'),Sanitize::REMOVE_DEFAULT);
    $sCommenting = Sanitize::StripFromText($admin->get_post('commenting'),Sanitize::REMOVE_DEFAULT);
    $iPostsPerPage = Sanitize::StripFromText($admin->get_post('posts_per_page'),Sanitize::REMOVE_DEFAULT);
    $bUseCaptcha = Sanitize::StripFromText($admin->get_post('use_captcha'),Sanitize::REMOVE_DEFAULT);
    $bUseDataProtection = Sanitize::StripFromText($admin->get_post('use_data_protection'),Sanitize::REMOVE_DEFAULT);

    $iDataProtectionLink = Sanitize::StripFromText($admin->get_post('data_protection_link'),Sanitize::REMOVE_DEFAULT);
    if(extension_loaded('gd') && function_exists('imageCreateFromJpeg')) {
        $iResize = Sanitize::StripFromText($admin->get_post('resize'),Sanitize::REMOVE_DEFAULT);
    } else {
        $iResize = 0;
    }

    $sLayout = \filter_var(
                  $sLayout,
                  FILTER_SANITIZE_STRING
    );

    $sOrderField = \filter_var(
                  $sOrderField,
                  FILTER_VALIDATE_REGEXP,
                  ['options' => ['regexp' => '/published\_when|title$/i', 'default' => 'position']]
    );
    $sOrder = \filter_var(
                  $sOrder,
                  FILTER_VALIDATE_REGEXP,
                  ['options' => ['regexp' => '/ASC$/i','default'=>'DESC']]
    );
    $sCommenting = \filter_var(
                  $sCommenting,
                  FILTER_VALIDATE_REGEXP,
                  ['options' => ['regexp' => '/public|private$/i','default'=>'none']]
    );
    $iPostsPerPage = \filter_var(
              $iPostsPerPage,
              \FILTER_VALIDATE_INT,
              ['options' => ['min_range' => 0, 'max_range' => 100, 'default' => 10]]
    );
    $bUseCaptcha = \filter_var($bUseCaptcha,\FILTER_VALIDATE_BOOLEAN);
    $bUseDataProtection = \filter_var($bUseDataProtection,\FILTER_VALIDATE_BOOLEAN);
    $iDataProtectionLink = \filter_var($iDataProtectionLink,\FILTER_VALIDATE_INT);
    $iResize = \filter_var(
              $iResize,
              \FILTER_VALIDATE_INT,
              ['options' => ['min_range' => 0, 'max_range' => 150, 'default' => 0]]
    );
/* DEBUG to test the filter */
    if ($bDebug) {
        $aResults = \compact('sLayout','sOrder','sOrderField','sCommenting','iPostsPerPage','bUseCaptcha','bUseDataProtection','iDataProtectionLink','iResize');
        print '<pre  class="mod-pre rounded">function <span>'.__FUNCTION__.'( '.''.' );</span>  filename: <span>'.\basename(__FILE__).'</span>  line: '.__LINE__.' -> <br />';
        \print_r( $aResults ); print '</pre>'.PHP_EOL; \flush (); //  ob_flush();;sleep(10); die();
    }
    $sql  = 'UPDATE '.TABLE_PREFIX.'mod_news_settings SET '
          . '`layout` = \''.$database->escapeString($sLayout).'\', '
    //      . '`header`=\''.$database->escapeString($header).'\', '
    //      . '`post_loop`=\''.$database->escapeString($post_loop).'\', '
    //      . '`footer`=\''.$database->escapeString($footer).'\', '
    //      . '`post_header`=\''.$database->escapeString($post_header).'\', '
    //      . '`post_footer`=\''.$database->escapeString($post_footer).'\', '
    //      . '`comments_header`=\''.$database->escapeString($comments_header).'\', '
    //      . '`comments_loop`=\''.$database->escapeString($comments_loop).'\', '
    //      . '`comments_footer`=\''.$database->escapeString($comments_footer).'\', '
    //      . '`comments_page`=\''.$database->escapeString($comments_page).'\', '
          . '`posts_per_page`= '.(int)($iPostsPerPage).', '
          . '`commenting`=\''.$database->escapeString($sCommenting).'\', '
          . '`resize`= '.(int)($iResize).', '
          . '`use_captcha`= '.(int)($bUseCaptcha).', '
          . '`order_field`=\''.$database->escapeString($sOrderField).'\', '
          . '`use_data_protection`= '.(int)($bUseDataProtection).', '
          . '`data_protection_link`='.(int)($iDataProtectionLink).', '
          . '`order`=\''.$database->escapeString($sOrder).'\' '
          . 'WHERE `section_id`='.$database->escapeString($section_id).' '
          . '';

// Update settings
    if (!$database->query($sql)){
        $admin->print_error($database->get_error(), $sBacklink.$sSectionIdPrefix);
    }
    $admin->print_success($TEXT['SUCCESS'], $sBacklink.$sSectionIdPrefix);

// Print admin footer
$admin->print_footer();
